Subject: Re: [PATCH v2 5/8] clang-format: avoid braces on simple single-statement bodies

From: Junio C Hamano <[email-masked]>
Date: Thu, 11 Jul 2024 09:40:44 -0700

Karthik Nayak <[email-masked]> writes:

>     Setting this option to true could lead to incorrect code formatting
>     due to clang-format’s lack of complete semantic information. As
>     such, extra care should be taken to review code changes made by
>     this option.
>
> The latter seems to be of concern. But since we only use clang-format to
> verify the format and not to apply formatting, we should be okay here.

Hmph.  Could you tell me where I can read more about "we tell
clang-format only to verify but not to apply"?  If that is truely
the case, perhaps I shouldn't be worried to much, but it is not
clear to me how we enforce that this is to be used only for
verification with non-zero false positive, and never for
reformatting before submission.

The senario I was worried about was this.  We aadd to .clang-format
that is in-tree, and not just CI jobs but our human contributors may
use it to check what they newly wrote before committing and they may
even take the differences as suggested fixes (which may end up
breaking their working code).

Thanks.